/*
 * z2-Environment
 * 
 * Copyright(c) ZFabrik Software GmbH & Co. KG
 * 
 * contact@zfabrik.de
 * 
 * http://www.z2-environment.eu
 */
package com.zfabrik.impl.components.java;

/**
 * Supported language level abstraction
 */
public enum LangLevel { 
	/**
	 * Java 6 as of JDK 1.6.x
	 */
	JAVA6("6") , 
	
	/**
	 * Java 7 as of JDK 1.7.x
	 */
	JAVA7("7"),
	
	/**
	 * Java 8 as of JDK 1.8.x
	 */
	JAVA8("8"), 

	/**
	 * Java 9 as of JDK 9.x
	 */
	JAVA9("9"),

	/**
	 * Java 10 as of JDK 10.x
	 */
	JAVA10("10"); 

	public static LangLevel HIGHEST = JAVA10;
	
	private String value;

	LangLevel(String value) {
        this.value = value;
    }
    
    @Override
    public String toString() {
    	return value;
    }
    
    public static LangLevel parse(String value) {
    	for (LangLevel l : LangLevel.values()) {
    		if (l.value.equals(value)) {
    			return l;
    		}
    	}
    	return null;
    }

}