/*
 * z2-Environment
 * 
 * Copyright(c) ZFabrik Software GmbH & Co. KG
 * 
 * contact@zfabrik.de
 * 
 * http://www.z2-environment.eu
 */
package com.zfabrik.impl.synchronization;

import java.util.logging.Logger;

import launchers.HomeLauncher;

import com.zfabrik.components.IComponentsLookup;
import com.zfabrik.components.IDependencyComponent;
import com.zfabrik.states.ISystemState;
import com.zfabrik.util.runtime.Foundation;
import com.zfabrik.util.sync.ISynchronization;
import com.zfabrik.util.sync.ISynchronizer;

public class MainSynchronizer implements ISynchronizer {

	public void preInvalidation(ISynchronization sync) {}

	public void complete(ISynchronization sync) {
		// TODO The home process re-establishes it's home_up process,
		// Worker processes will re-establish worker_up as a side effect of the workerspark.
		if (Foundation.getProperties().getProperty(Foundation.PROCESS_WORKER)==null) {
			logger.fine("Sync: Re-establishing home process states");
			// this is indeed the home process.
			IDependencyComponent st = IComponentsLookup.INSTANCE.lookup(HomeLauncher.STATE_HOME_UP, IDependencyComponent.class);
			if (st==null) {
				logger.severe("Failed to lookup state component (will not be operational): "+HomeLauncher.STATE_HOME_UP);
			} else {
				st.prepare();
			}
		}
	}
	
	private final static Logger logger = Logger.getLogger(MainSynchronizer.class.getName());

}
