/*
 * z2-Environment
 * 
 * Copyright(c) ZFabrik Software GmbH & Co. KG
 * 
 * contact@zfabrik.de
 * 
 * http://www.z2-environment.eu
 */
package com.zfabrik.impl.dev.transport.gui;

import java.util.Properties;

import org.tmatesoft.svn.core.io.SVNRepository;

public class Destination {
	/**
	 * URL of the subversion root folder for this repository.
	 */
	public final static String SVNCR_URL = "svncr.url";
	/**
	 * User name for authentication at the repository
	 */
	public final static String SVNCR_USER = "svncr.user";
	/**
	 * Password for authentication at the repository
	 */
	public final static String SVNCR_PWD = "svncr.password";
	
	
	private Properties p = new Properties();
	private String name;
	
	public Destination() {
		super();
		setName("");
		setUrl("");
		setUser("");
		setPasswd("");
	}
	public void setByDestination(Destination dest) {
		setUrl(dest.getProperties().getProperty(SVNCR_URL));
		setUser(dest.getProperties().getProperty(SVNCR_USER));
		setPasswd(dest.getProperties().getProperty(SVNCR_PWD));
	}
	public void setUrl(String url) {
		p.setProperty(SVNCR_URL, url);
	}
	public void setUser(String user) {
		p.setProperty(SVNCR_USER, user);
	}
	public void setPasswd(String passwd) {
		p.setProperty(SVNCR_PWD, passwd);
	}
	public String getUrl() {
		return p.getProperty(SVNCR_URL);
	}
	public String getUser() {
		return p.getProperty(SVNCR_USER);
	}
	public String getPassword() {
		return p.getProperty(SVNCR_PWD);
	}
	public String getName() {
		return this.name;
	}
	public Properties getProperties() {
		return p;
	}
	public String getType() {
		return SVNRepository.class.getName();
	}
	public void setName(String name) {
		this.name = name;
	}
	
}