/*
 * z2-Environment
 * 
 * Copyright(c) ZFabrik Software GmbH & Co. KG
 * 
 * contact@zfabrik.de
 * 
 * http://www.z2-environment.eu
 */
package com.zfabrik.workers.home;

import com.zfabrik.components.IComponentsLookup;
import com.zfabrik.resources.IResourceHandle;
import com.zfabrik.resources.provider.Resource;

/**
 * The workers manager maintains the active home layout.
 *  
 * @author hb
 *
 */
public interface IWorkersManager {
	static IWorkersManager INSTANCE = IComponentsLookup.INSTANCE.lookup("com.zfabrik.workers/workersManager", IWorkersManager.class);
	
	/**
	 * Get the currently active home layout
	 * @return
	 */
	IHomeLayout getActiveLayout();
	
	
	/**
	 * Internal utility method to create a worker process resource as a delegate
	 * 
	 * @deprecated Try using embedded execution instead 
	 * @param dependant
	 * @param name
	 * @return
	 */
	Resource    createWorkerResource(IResourceHandle dependant, String name);
	
//	/**
//	 * intern
//	 */
//	void workerStarted(IWorkerProcess rh);
//
//	void workerDetached(IWorkerProcess rh);
//	
//	Set<IWorkerProcess> allWorkers();
//	
}
